package com.unis.crk.basic.service;

import com.unis.crk.basic.entity.Attaches;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 附件列表 服务类
 * </p>
 *
 * @author ghh
 * @since 2021-10-14
 */
public interface IAttachesService extends IService<Attaches> {

    List<Attaches> getAttachesByReferencesID(String referencesID);

    Attaches getOneAttachesByReferencesID(String referencesID);
    int deletAttachesByReferencesID(String referencesID);

    boolean delFile(Attaches param);
}
